﻿@using Rokolabs.Library.WebApp.Models.ViewModels

@model PatentVM

@{
    ViewBag.Title = "Patent details";
}

<h2>Patent details</h2>

<div>
    <h4>"@Html.DisplayFor(model => model.Name)"</h4>
    <hr />
    <dl class="dl-horizontal">

        <dt>
            @Html.DisplayNameFor(model => model.Name)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Name)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PublicationYear)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PublicationYear)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PublishingHouse)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.PublishingHouse)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.NumberOfPages)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.NumberOfPages)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Notes)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Notes)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Country)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Country)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.RegistrationNumber)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.RegistrationNumber)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.DateOfApplication)
        </dt>

        <dd>
            @(Model.DateOfApplication?.ToShortDateString())
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.PublishingDate)
        </dt>

        <dd>
            @(Model.PublishingDate?.ToShortDateString())
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.EntryID }) |
    @Html.ActionLink("Back to List", "Index", "Catalog")
</p>
